Sign in to follow this  
TrafficPilot

I bit the bullet...am back with P3D V2.3 - gulp! Does FTX work?

Recommended Posts

As some of you may remember I had a hissy fit last month and uninstalled P3D V2.2 because of the constant R6025 errors. After reading through your thoughts on here, the P3D official forum and SOH I have decided to bite the bullet and try V2.3

 

After more research I found that Windows update hadn't installed some important updates so after getting that sorted I decided to try P3D again. Am really hoping the R6025 errors don't return!

 

So I downloaded the full version last night (in 25mins thanks to a high speed cable connection!) and installed it the slow way due to lack of space on my OS SSD.

 

Install went fine and I "created a scenario" with the default Piper Cub at LFEC - a lovely little french airfield on an island off the west coast of France (Orbx scenery available for it free which looks great in FSX - haven't tried it in P3D yet).

 

First impressions? 

 

FPS appears to be better than before with tessellation on. Much smoother. Am getting 60+fps. Add any significant weather and it grinds to a halt as before (I used FSRealWXLite which works fine in P3D - waiting until HiFi update ASN). I still find HDR way too dark so have switched that off and gained another 10fps. Water looks alot better.

 

With tessellation switched OFF I am getting a totally smooth fluid performance with between 80-120fps.

 

Hate the default P3D clouds. They look like cartoon drawings (were the FSX default clouds like this?!) so will be installing the fantastic HDE V2 freeware clouds as soon as I've checked all is running smoothly without any R6025 errors.

 

Haven't installed Global/Vector or OpenLC just yet. Does anyone know if the current versions work ok in V2.3?

 

 

 

 

Share this post


Link to post
Help AVSIM continue to serve you!
Please donate today!

I just installed v2.3. I just ran the default with no addons. I can report that when I crash the aircraft, the sim no longer crashes as it did for me in v2.2. It was always coming up as a R6025 error. Not a big thing but improvement none the less.

Share this post


Link to post

I just installed v2.3. I just ran the default with no addons. I can report that when I crash the aircraft, the sim no longer crashes as it did for me in v2.2. It was always coming up as a R6025 error. Not a big thing but improvement none the less.

 

That's good to hear Mike. Hopefully V2.3 will be more stable than the previous!

Share this post


Link to post

 

Haven't installed Global/Vector or OpenLC just yet. Does anyone know if the current versions work ok in V2.3?

 

Yes, all those add ons seems to work perfectly. I have updated from 2.2 using patch though.

Share this post


Link to post

Yes, all those add ons seems to work perfectly. I have updated from 2.2 using patch though.

 

Did you just leave Global and LC alone for the upgrade, or was there any uninstalling/reinstalling required?

Thanks

Eugene

Share this post


Link to post

I've installed FTX Global using the latest installer from the site I bought it from. It runs normally. I did have an odd problem trying to install FTX AU SP4.

Share this post


Link to post

I went the update route and there was no need to do anything with my scenery, other than get the latest standalone addon manager from FSDT so those airports would work.

Share this post


Link to post

Did you just leave Global and LC alone for the upgrade, or was there any uninstalling/reinstalling required?

Thanks

Eugene

 

After installing 2.3 patch I had no problems with Global or LC. All was working without reinstall ^_^ . Just remember to backup directories that Rob somewhere advises to do. If you are using ASN or FSUIPC you will have to remove it from dll.exe.

Share this post


Link to post

Thanks Guys, I'll follow Robs advice to the letter, and I've downloaded FSUIPC 4934h which should work OK with V2.3.

I've no ASN or FSDT so I should be good to go,

Cheers

Eugene

Share this post


Link to post

I also used the patch and didn't uninstall anything. All addons working as before, except ASN (waiting for the update).

 

Cheers.

Share this post


Link to post

My only disappointment with FTX/v.2.3 is that their windsocks still do not work with P3D . . . I had hoped that this would be fixed by now, since it was suppose to have been fixed in v,2,2 (according to Orbx, after v.2.2. was released).  

 

Now they are saying that the issue is due to LM "dropping ASM support."

 

From THIS POST on the FTX forums:

 

 

To preface, here is how windsocks have worked until now. In FSX and P3D almost all windsocks are FS9 models controlled by ASM code as there is no way to make a native FSX or P3D windsock without use of external modules (like ObjectFlow). Lockheed is dropping ASM support since it dates back to FS2002 and so there will not be a fix provided for windsocks.

 

Now where that leaves us is in a tricky situation. The windsocks can be replaced with working alternatives like what we have done with the payware airports. However for regions it is a different story. Our replacement windsocks are controlled by ObjectFlow which requires that all the windsocks be in a separate file of their own with a script written for each sock. That's pretty easy to do at a single airport but for a region say... PNW there can be up to several hundred windsocks. Each windsock would have to be extracted from its placement file, put into a new placement file, and then scripted to work with ObjectFlow. ObjectFlow also incurs a small performance hit for each object. In short it is feasible, but it would take one person working for quite some time to extract every windsock and replace them with ObjectFlow alternatives.

 

That brings us to the second option which is to work with Lockheed to create a native windsock format. If that can be done, then instead of having to extract the windsocks from hundreds of placement files, we can simply replace the model in the libraries and suddenly all of the windsocks will start working again. 

 

 

I'm also surprised that it ASN still hasn't received a fixed to work with v.2.3 (it is now tentatively planned for sometime "early nest week").  I do get that this is the price we pay for a flightsim that is being developed . . . I was just assuming that LM was working a bit closer with third party developers, yet the release of v.2.3 has left some of the bigger ones scrambling. In the future I won't make the mistake in updating P3D, until I know that my addons will work,

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this